com.hazelcast.concurrent.atomicreference.operations

## Class AbstractAtomicReferenceOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, NamedOperation, PartitionAwareOperation
  Direct Known Subclasses:
    ApplyOperation, AtomicReferenceBackupAwareOperation, ContainsOperation, GetOperation, IsNullOperation, MergeBackupOperation, SetBackupOperation

      public abstract class AbstractAtomicReferenceOperation
      extends Operation
      implements NamedOperation, PartitionAwareOperation, IdentifiedDataSerializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAtomicReferenceOperation()`
    `AbstractAtomicReferenceOperation(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `String` | `getName()` Returns the name of the distributed data structure.
    `AtomicReferenceContainer` | `getReferenceContainer()`
    `String` | `getServiceName()`
    `protected void` | `readInternal(ObjectDataInput in)`
    `protected void` | `toString(StringBuilder sb)` A template method allows for additional information to be passed into the `Operation.toString()` method.
    `protected void` | `writeInternal(ObjectDataOutput out)`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getResponse, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, run, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Field Detail

    - #### name

          protected String name

  - ### Constructor Detail

    - #### AbstractAtomicReferenceOperation

          public AbstractAtomicReferenceOperation()

    - #### AbstractAtomicReferenceOperation

          public AbstractAtomicReferenceOperation(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `NamedOperation`
      Returns the name of the distributed data structure.
      Specified by:
        `getName` in interface `NamedOperation`
      Returns:
        String name of the distributed data structure.

    - #### getServiceName

          public String getServiceName()

      Overrides:
        `getServiceName` in class `Operation`

    - #### getReferenceContainer

          public AtomicReferenceContainer getReferenceContainer()

    - #### getFactoryId

          public final int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### writeInternal

          protected void writeInternal(ObjectDataOutput out)
                                throws IOException

      Overrides:
        `writeInternal` in class `Operation`
      Throws:
        `IOException`

    - #### readInternal

          protected void readInternal(ObjectDataInput in)
                               throws IOException

      Overrides:
        `readInternal` in class `Operation`
      Throws:
        `IOException`

    - #### toString

          protected void toString(StringBuilder sb)

      Description copied from class: `Operation`
      A template method allows for additional information to be passed into the `Operation.toString()` method. So an Operation subclass can override this method and add additional debugging content. The default implementation does nothing so one is not forced to provide an empty implementation. It is a good practice to always call the super.toString(stringBuffer) when implementing this method to make sure that the super class can inject content if needed.
      Overrides:
        `toString` in class `Operation`
      Parameters:
        `sb` - the StringBuilder to add the debug info to.

Copyright © 2019. All rights reserved.